Datastores
Datastore - Query
POST
/
datastores
/
{id}
/
query
This endpoint gets the most similar document fragments for a given query.
curl --request POST \
--url https://app.braviloai.com/api/datastores/{id}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"topK": 123,
"filters": {
"custom_ids": [
"<string>"
],
"datasource_ids": [
"<string>"
]
}
}
'import requests
url = "https://app.braviloai.com/api/datastores/{id}/query"
payload = {
"query": "<string>",
"topK": 123,
"filters": {
"custom_ids": ["<string>"],
"datasource_ids": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
topK: 123,
filters: {custom_ids: ['<string>'], datasource_ids: ['<string>']}
})
};
fetch('https://app.braviloai.com/api/datastores/{id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"text": "<string>",
"score": 123,
"source": "<string>",
"datasource_id": "<string>",
"datasource_name": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the datastore
Body
application/json
Response
Success
⌘I
This endpoint gets the most similar document fragments for a given query.

